<!DOCTYPE html>
<html>
      <head>
            <title>
                   HTML CRUD with pure javascript
            </title>
            <link rel="stylesheet" href="styles.css">
      </head>
      <body>
            <table>
                   <tr>
                       <td><!--html form for CRUD operation-->
                           <form onsubmit="event.preventDefault();onFormSubmit();" autocomplete="off">
                                 <div>
                                    <label>Full Name</label>
                                    <input type="text" name="fullName" id="fullName">
                                    <label class="validation-error hide" id="fullNamevalidationerror">This field is required</label>
                                </div>
                                <div>
                                    <label>EMP code</label>
                                    <input type="text" name="empcode" id="empcode">
                                </div>
                                <div>
                                    <label>Salary</label>
                                    <input type="text" name="salary" id="salary">
                                </div>
                                <div>
                                    <label>City</label>
                                    <input type="text" name="city" id="city">
                                </div>
                                <div class="form-action-buttons">
                                    <input type="submit" value="Submit">
                                </div>
                           </form>
                    
                       </td>
                       <td><!--table to list all records-->
                           <table class="list" id="employeeList">
                               <thead>
                                    <tr>
                                       <th>Full Name</th>
                                       <th>EMP code</th>
                                       <th>Salary</th>
                                       <th>City</th>
                                       <th></th>
                                    </tr>
                              </thead>
                              <tbody>

                              </tbody>
                           </table>
                      </td>
                   </tr>                
            </table>
            <script src="script.js"></script>
      </body>
</html>